Package org.stianloader.picoresolve.internal

# Class XMLUtil.ElementNodeListIterator

java.lang.Object
org.stianloader.picoresolve.internal.XMLUtil.ElementNodeListIterator

All Implemented Interfaces:
  `Iterator<@NotNull Element>`

Enclosing class:
  XMLUtil

public static class XMLUtil.ElementNodeListIterator extends Object implements Iterator<@NotNull Element>

## Constructor Summary

Constructors
Constructor
Description
`ElementNodeListIterator(NodeList list)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`@NotNull Element`
`next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### ElementNodeListIterator

public ElementNodeListIterator(NodeList list)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<@NotNull Element>`

### next

@NotNull public @NotNull Element next()

Specified by:
  `next` in interface `Iterator<@NotNull Element>`